#ifndef __fitschannel_h__
#define __fitschannel_h__

#include "strm.h"

class FitsChannel : public FitsStream<Tcl_Channel> {
public:
  FitsChannel(Tcl_Interp*, const char*, const char*);
};

class FitsFitsChannel : public FitsChannel {
public:
  FitsFitsChannel(Tcl_Interp*, const char*, const char*, ScanMode);
};

class FitsArrChannel : public FitsChannel {
public:
  FitsArrChannel(Tcl_Interp*, const char*, const char*);
};

class FitsMosaicChannel : public FitsChannel {
public:
  FitsMosaicChannel(Tcl_Interp*, const char*);
};

class FitsMosaicNextChannel : public FitsStream<Tcl_Channel> {
public:
  FitsMosaicNextChannel(FitsFile* prev);
};

#endif

