#include <string.h>

#include "callback.h"

CallBack::CallBack(Tcl_Interp* interp, const char* proc, const char* arg)
{
  interp_ = interp;

  if (proc)
    strncpy(proc_, proc, 32);
  else
    proc_[0] = '\0';

  if (arg)
    strncpy(arg_, arg, 64);
  else
    arg_[0] = '\0';

  previous_ = NULL;
  next_ = NULL;
}

int CallBack::eval(const char* arg2)
{
  return Tcl_VarEval(interp_, proc_, " ", arg_, " ", arg2, NULL);
}
