#ifndef __circle_h__
#define __circle_h__

#include "basecircle.h"

class Circle : public BaseCircle {
public:
  Circle(Frame* p, const Vector& ctr, double r,
	 const char* clr, const char* f, const char* t, unsigned short prop);

  void updateBBox();
  void edit(const Vector&, int);

  double getRadius() {return radii[0];}
  void setRadius(double);

  void list(ostream&, int, int, const char*);
  void listCiao(ostream&, int, int, const char*);
  void listFtools(ostream&, int, int, const char*);
  void listSAOtng(ostream&, int, int, const char* delim);
  void listSAOimage(ostream&, const char*);
  void listPros(ostream&, int, int, const char*);
};

#endif
