#ifndef __colorbartrue_h__
#define __colorbartrue_h__

#include "colorbar.h"

class ColorbarTrueColor : public Colorbar {
protected:
  XImage* xmap;

protected:
  virtual int initColormap() =0;  // initialize current colormap
  virtual void updateColors() =0; // ColorMapInfo to Colormap
  int updatePixmap(const BBox&);   // renders image/graphics into pixmap
  void invalidPixmap();           // update pixmap and xmap

  int initColormapForReal();
  void updateColorCells();

public:
  ColorbarTrueColor(Tcl_Interp*, Tk_Canvas, Tk_Item*);
  virtual ~ColorbarTrueColor();

  void setColormapWindowCmd(char* str) {}
};

#endif
